Skip to main content
GET
/
social-accounts
List social accounts
curl --request GET \
  --url https://api.postflow.app/v1/social-accounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "socialNetwork": "twitter",
    "organization_id": "<string>",
    "user_id": "<string>",
    "group_id": "<string>",
    "name": "<string>",
    "custom_name": "<string>",
    "username": "<string>",
    "headline": "<string>",
    "followers_count": 123,
    "verified": true,
    "profile_link": "<string>",
    "avatar_link": "<string>",
    "social_id": "<string>",
    "pi_boards": [
      {
        "id": "<string>",
        "name": "<string>",
        "privacy": "<string>",
        "description": "<string>",
        "image_cover_url": "<string>",
        "sections": []
      }
    ],
    "pi_default_board_id": "<string>",
    "pi_default_section_id": "<string>",
    "ig_shopping_product_tag_eligibility": true,
    "yt_playlists": [
      "<string>"
    ],
    "yt_categories": [
      "<string>"
    ],
    "connection_expired_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "user": {
      "id": "<string>",
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "inviter_id": "<string>",
      "organization_id": "<string>",
      "role": "owner",
      "is_client": true,
      "can_approve": true,
      "can_connect_account": true,
      "can_access_all_groups": true,
      "self_approval": true,
      "time_format_24": true,
      "week_start_day": 0,
      "date_format": 1,
      "color": 1,
      "avatar": "<string>",
      "invited_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "open_cu_links_in_app": false,
      "groupIds": []
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Available includes are user.

Response

The collection of SocialAccountData

id
string
required
socialNetwork
enum<string>
required
Available options:
twitter,
linkedin,
linkedin_page,
facebook,
instagram,
tiktok,
bluesky,
pinterest,
google_business_profile,
youtube,
threads,
snapchat,
dribbble,
tumblr
organization_id
string
required
user_id
string | null
required

ID of user who connected social account

group_id
string | null
required

The ID of the group to which the social account belongs

name
string | null
required

Display name of the social media account

custom_name
string | null
required

Custom name to easily recognize this account in PostFlow

username
string | null
required

Username for the social media account

headline
string | null
required

Headline / bio of the social media account

followers_count
integer | null
required

Number of followers, updated once a day

verified
boolean
required

Checks whether the account is verified on the network

URL to the profile

URL to the profile picture of the social account

social_id
string | null
required

Unique identifier for the account on the social network

pi_boards
PinterestBoardData · object[]
required

Pinterest boards for this account

pi_default_board_id
string | null
required

Default Pinterest board ID

pi_default_section_id
string | null
required

Default Pinterest board section ID

ig_shopping_product_tag_eligibility
boolean
required

Determines whether an Instagram account is eligible to tag products from the catalog

yt_playlists
string[] | null
required

YouTube playlists for this account

yt_categories
string[] | null
required

YouTube categories for this account

connection_expired_at
string<date-time> | null
required

The date on which the access token expired. If this value is not null, you must manually refresh the connection for the account

created_at
string<date-time>
required

The date the account was first connected to PostFlow

user
UserData · object
required

User who connected social account. This data is not always available, depends on the endpoint and the include parameter